Subject: Re: [PATCH iwl-next] ice: Rename E822 to E82X

From: Simon Horman <[email-masked]>
Date: Wed, 29 Nov 2023 16:45:51 +0000

On Fri, Nov 24, 2023 at 12:45:55PM +0100, Karol Kolacinski wrote:
> When code is applicable for both E822 and E823 devices, rename it from
> E822 to E82X.
> ICE_PHY_PER_NAC_E822 was unused, so just remove it.
> 
> Signed-off-by: Karol Kolacinski <[email-masked]>
> Reviewed-by: Przemek Kitszel <[email-masked]>

Hi Karol,

while I think this naming scheme may have some shortcomings
if other E82[0-9] chips come along with different overlap
in function re-use, I also do see that it is a convenient
shorthand. And moreover that it matches what is already in-tree
as of at least:

88c360e49f51 ("ice: Support cross-timestamping for E823 devices")

So, FWIIW, beyond my mumblings here I am happy with this patch.

Reviewed-by: Simon Horman <[email-masked]>